# Repzo API - MSL Products

OpenAPI specification for Repzo MSL Products endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/msl-products`

#### GET /msl-products

**Summary:** Find MSL products

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering MSL products |

##### Responses

**200** - A list of MSL products

Content-Type: `application/json`

---

#### POST /msl-products

**Summary:** Create an MSL product

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - MSL product created

Content-Type: `application/json`

---

### `/msl-products/{id}`

#### GET /msl-products/{id}

**Summary:** Get an MSL product by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - MSL product details

Content-Type: `application/json`

---

#### PUT /msl-products/{id}

**Summary:** Update an MSL product

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - MSL product updated

Content-Type: `application/json`

---

#### DELETE /msl-products/{id}

**Summary:** Remove an MSL product

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - MSL product removed

Content-Type: `application/json`

---

## Data Models

### MSLProductFindResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `meta` | object | No | No description |

### MSLProductCreateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `msl` | string | No | No description |

| `product` | string | No | No description |

| `variant` | string | No | No description |

| `targetQuantity` | number | No | No description |

| `achievedQuantity` | number | No | No description |

| `disabled` | boolean | No | No description |

### MSLProductCreateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### MSLProductGetResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### MSLProductUpdateBody

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `msl` | string | No | No description |

| `product` | string | No | No description |

| `variant` | string | No | No description |

| `targetQuantity` | number | No | No description |

| `achievedQuantity` | number | No | No description |

| `disabled` | boolean | No | No description |

### MSLProductUpdateResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | object | No | No description |

### MSLProductRemoveResult

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `success` | boolean | No | No description |

### MSLProduct

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | No description |

| `msl` | string | No | No description |

| `product` | string | No | No description |

| `variant` | string | No | No description |

| `targetQuantity` | number | No | No description |

| `achievedQuantity` | number | No | No description |

| `disabled` | boolean | No | No description |

| `createdAt` | string | No | No description |

| `updatedAt` | string | No | No description |

## TypeScript Usage

See [msl-products-examples.md](./msl-products-examples.md) for detailed TypeScript usage examples.
